cifti::CiftiLabelsMap Class Reference
Inheritance diagram for cifti::CiftiLabelsMap:
[legend]
Collaboration diagram for cifti::CiftiLabelsMap:
[legend]

## Public Member Functions

const MetaData & | getMapMetadata (const int64_t &index) const
const LabelTable & | getMapLabelTable (const int64_t &index) const
const AString & | getMapName (const int64_t &index) const
void | setMapMetadata (const int64_t &index, const MetaData &md)
void | setMapLabelTable (const int64_t &index, const LabelTable &lt)
void | setMapName (const int64_t &index, const AString &mapName)
void | setLength (const int64_t &length)
void | clear ()
CiftiMappingType * | clone () const
MappingType | getType () const
int64_t | getLength () const
bool | operator== (const CiftiMappingType &rhs) const
bool | approximateMatch (const CiftiMappingType &rhs, AString *explanation=NULL) const
void | readXML1 (XmlReader &xml)
void | readXML2 (XmlReader &xml)
void | writeXML1 (XmlWriter &xml) const
void | writeXML2 (XmlWriter &xml) const
Public Member Functions inherited from cifti::CiftiMappingType
bool | operator!= (const CiftiMappingType &rhs) const

## Additional Inherited Members

Public Types inherited from cifti::CiftiMappingType
enum | MappingType { BRAIN_MODELS , PARCELS , SERIES , SCALARS , LABELS }
Static Public Member Functions inherited from cifti::CiftiMappingType
static AString | mappingTypeToName (const MappingType &type)

## Member Function Documentation

## approximateMatch()

bool CiftiLabelsMap::approximateMatch | ( | const CiftiMappingType & | rhs,
|  | AString * | explanation = NULL ) const

virtual

Implements cifti::CiftiMappingType.

## clone()

CiftiMappingType * cifti::CiftiLabelsMap::clone | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## getLength()

int64_t cifti::CiftiLabelsMap::getLength | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## getType()

MappingType cifti::CiftiLabelsMap::getType | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## operator==()

bool CiftiLabelsMap::operator== | ( | const CiftiMappingType & | rhs | ) | const

virtual

Implements cifti::CiftiMappingType.

## readXML1()

void CiftiLabelsMap::readXML1 | ( | XmlReader & | xml | ) |

virtual

Implements cifti::CiftiMappingType.

## readXML2()

void CiftiLabelsMap::readXML2 | ( | XmlReader & | xml | ) |

virtual

Implements cifti::CiftiMappingType.

## writeXML1()

void CiftiLabelsMap::writeXML1 | ( | XmlWriter & | xml | ) | const

virtual

Implements cifti::CiftiMappingType.

## writeXML2()

void CiftiLabelsMap::writeXML2 | ( | XmlWriter & | xml | ) | const

virtual

Implements cifti::CiftiMappingType.

The documentation for this class was generated from the following files:

- CiftiLabelsMap.h
- CiftiLabelsMap.cxx